<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.products.ov.channel.au</groupId>
        <artifactId>authentication</artifactId>
        <version>2.1.7</version>
    </parent>

    <groupId>com.scytl.products.ov.channel.au.services</groupId>
    <artifactId>authentication-services</artifactId>
    <packaging>jar</packaging>
    <name>Online Voting - Authentication - Services</name>

    <dependencies>
        <!-- Local dependencies -->
        <!-- OV Commons -->
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-infrastructure</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib-persistence</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib</artifactId>
        </dependency>
            
        <!-- JPA Service provider -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
        </dependency>

        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
    </dependencies>
    
    <profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib-persistence</artifactId>
              <type>test-jar</type>
              <scope>test</scope>
          </dependency>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib</artifactId>
              <scope>test</scope>
              <type>test-jar</type>
          </dependency>
        </dependencies>
      </profile>
    </profiles>
</project>
